/**
 * java.sql.Connectionのスタブクラス。
 * @author StubGenerator by arton.
 */
public class StubConnection implements java.sql.Connection {
    public StubConnection() {
    }
    public void clearWarnings()
         throws java.sql.SQLException {
    }
    public java.sql.Array createArrayOf(java.lang.String a0, java.lang.Object[] a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Blob createBlob()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Clob createClob()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.NClob createNClob()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.SQLXML createSQLXML()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Statement createStatement()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Statement createStatement(int a0, int a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Statement createStatement(int a0, int a1, int a2)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Struct createStruct(java.lang.String a0, java.lang.Object[] a1)
         throws java.sql.SQLException {
        return null;
    }
    public boolean getAutoCommit()
         throws java.sql.SQLException {
        return false;
    }
    public java.lang.String getCatalog()
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.String getClientInfo(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.util.Properties getClientInfo()
         throws java.sql.SQLException {
        return null;
    }
    public int getHoldability()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.sql.DatabaseMetaData getMetaData()
         throws java.sql.SQLException {
        return null;
    }
    public int getTransactionIsolation()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.util.Map getTypeMap()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.SQLWarning getWarnings()
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.String nativeSQL(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.CallableStatement prepareCall(java.lang.String a0, int a1, int a2)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.CallableStatement prepareCall(java.lang.String a0, int a1, int a2, int a3)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.CallableStatement prepareCall(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0, int a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0, java.lang.String[] a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0, int a1, int a2)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0, int[] a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0, int a1, int a2, int a3)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.PreparedStatement prepareStatement(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public void releaseSavepoint(java.sql.Savepoint a0)
         throws java.sql.SQLException {
    }
    public void rollback()
         throws java.sql.SQLException {
    }
    public void rollback(java.sql.Savepoint a0)
         throws java.sql.SQLException {
    }
    public void setAutoCommit(boolean a0)
         throws java.sql.SQLException {
    }
    public void setCatalog(java.lang.String a0)
         throws java.sql.SQLException {
    }
    public void setClientInfo(java.util.Properties a0)
         throws java.sql.SQLClientInfoException {
    }
    public void setClientInfo(java.lang.String a0, java.lang.String a1)
         throws java.sql.SQLClientInfoException {
    }
    public void setHoldability(int a0)
         throws java.sql.SQLException {
    }
    public java.sql.Savepoint setSavepoint(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Savepoint setSavepoint()
         throws java.sql.SQLException {
        return null;
    }
    public void setTransactionIsolation(int a0)
         throws java.sql.SQLException {
    }
    public void setTypeMap(java.util.Map a0)
         throws java.sql.SQLException {
    }
    public void setReadOnly(boolean a0)
         throws java.sql.SQLException {
    }
    public void close()
         throws java.sql.SQLException {
    }
    public boolean isReadOnly()
         throws java.sql.SQLException {
        return false;
    }
    public boolean isValid(int a0)
         throws java.sql.SQLException {
        return false;
    }
    public boolean isClosed()
         throws java.sql.SQLException {
        return false;
    }
    public void commit()
         throws java.sql.SQLException {
    }
    public boolean isWrapperFor(java.lang.Class a0)
         throws java.sql.SQLException {
        return false;
    }
    public java.lang.Object unwrap(java.lang.Class a0)
         throws java.sql.SQLException {
        return null;
    }
}
